> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Human-Readable Transaction Summary



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /blockscout/transactions/{transaction_hash}/summary
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /blockscout/transactions/{transaction_hash}/summary:
    get:
      tags:
        - blockscout/transactions
      summary: Get Human-Readable Transaction Summary
      operationId: get_transaction_summary
      parameters:
        - $ref: '#/components/parameters/transactionHash'
      responses:
        '200':
          description: Human-Readable Transaction Summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSummary'
        '400':
          description: Bad Input Parameter
components:
  parameters:
    transactionHash:
      schema:
        type: string
      required: true
      name: transaction_hash
      in: path
  schemas:
    TransactionSummary:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/TransactionSummaryObj'
    TransactionSummaryObj:
      type: object
      properties:
        summaries:
          type: array
          items:
            $ref: '#/components/schemas/Summary'
    Summary:
      type: object
      required:
        - summary_template
        - summary_template_variables
      properties:
        summary_template:
          type: string
          example: '{action_type} of {amount} {token}'
          description: Summary template
        summary_template_variables:
          $ref: '#/components/schemas/SummaryTemplateVariables'
          description: Variables for summary
    SummaryTemplateVariables:
      type: object
      required:
        - action_type
        - amount
        - token
      properties:
        action_type:
          $ref: '#/components/schemas/SummaryVariable'
          description: Action type
        amount:
          $ref: '#/components/schemas/SummaryVariableCurrency'
          description: Amount
        token:
          $ref: '#/components/schemas/SummaryVariableToken'
          description: Token info
    SummaryVariable:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: string
          description: Variable type
        value:
          type: string
          example: Registered withdrawal of
          description: Action Type
    SummaryVariableCurrency:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: currency
          description: Currency type
        value:
          type: string
          example: '0.195999999980484004'
          description: Value
    SummaryVariableToken:
      type: object
      required:
        - type
        - value
      properties:
        type:
          type: string
          example: token
          description: Type
        value:
          $ref: '#/components/schemas/TokenInfoDetailed'
          description: Token info
    TokenInfoDetailed:
      type: object
      required:
        - address
        - circulating_market_cap
        - decimals
        - exchange_rate
        - holders
        - icon_url
        - name
        - symbol
        - total_supply
        - type
        - volume_24h
      properties:
        address:
          type: string
          example: '0xBEEF69Ac7870777598A04B2bd4771c71212E6aBc'
          description: Token Address
        circulating_market_cap:
          type: string
          example: '0.0'
          description: Token circulating market cap
        decimals:
          type: string
          example: '18'
          description: Token decimals
        exchange_rate:
          type: string
          example: '2890.96'
          description: Token exchange rate
        holders:
          type: string
          example: '2999'
          description: Token holders amount
        icon_url:
          type: string
          example: >-
            https://assets.coingecko.com/coins/images/39410/small/Steakhouse_logo-05.jpg?1722053893
          description: 'Token image URL '
        name:
          type: string
          example: Steakhouse Resteaking Vault
          description: Token name
        symbol:
          type: string
          example: steakLRT
          description: Token symbol
        total_supply:
          type: string
          example: '9710057205959239302188'
          description: Token total supply
        type:
          type: string
          example: ERC-20
          description: Token type
        volume_24h:
          type: string
          example: '24298.765344836862'
          description: Token trading volume for past 24h

````